BASENAME(3)

NAME
basename - return the last component of a pathname

LIBRARY
libc

SYNOPSIS
#include <libgen.h>
char *
basename(char *path);

DESCRIPTION
The basename() function takes the pathname pointed to by path and returns a pointer to the final component of the pathname, deleting and trailing '/' characters.

If path consists entirely of '/' characters, basename() returns a pointer to the string "/".

If path is a null pointer or points to an empty string, basename() returns a pointer to the string ".".

RETURN VALUES
The basename() function returns a pointer to the final component of path.

SEE ALSO
dirname(3)

STANDARDS
•   xpg4.2

BUGS
The basename() function may modify the string pointed to by path.